@tool
extends EditorPlugin

var dock

func _enter_tree():
	# Initialization of the plugin goes here.
	# Load and instantiate the dock scene.
	dock = preload("res://addons/my_custom_dock/my_dock.tscn").instantiate()
	# Add the loaded scene to the dock.
	# Left ot the editor, Upper Left (UL).
	add_control_to_dock(DOCK_SLOT_LEFT_UL, dock)


func _exit_tree():
	# Clean-up of the plugin goes here.
	# Remove the dock.
	remove_control_from_docks(dock)
	# Free from memory.
	dock.free()
